# Generated by Django 4.0.4 on 2022-05-11 03:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('observations', models.TextField(blank=True, null=True)),
                ('delete_client', models.BooleanField(default=False)),
            ],
            options={
                'db_table': 'client',
            },
        ),
        migrations.CreateModel(
            name='Table',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_number', models.IntegerField()),
                ('location', models.CharField(max_length=30)),
                ('delete_table', models.BooleanField(default=False)),
            ],
            options={
                'db_table': 'table',
            },
        ),
        migrations.CreateModel(
            name='TypeProduct',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('DRINK', 'Drink'), ('DISH', 'Dish'), ('DESERT', 'Desert'), ('ENTRY', 'Entry')], max_length=6)),
                ('description', models.CharField(max_length=255)),
                ('delete_type', models.BooleanField(default=False)),
            ],
            options={
                'db_table': 'type product',
            },
        ),
        migrations.CreateModel(
            name='Waiter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('last_name1', models.CharField(max_length=50)),
                ('last_name2', models.CharField(max_length=50)),
                ('delete_waiter', models.BooleanField(default=False)),
            ],
            options={
                'db_table': 'waiter',
            },
        ),
        migrations.CreateModel(
            name='Products',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=255)),
                ('price', models.FloatField()),
                ('stock', models.IntegerField()),
                ('delete_products', models.BooleanField(default=False)),
                ('id_type_product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.typeproduct')),
            ],
            options={
                'db_table': 'products',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.IntegerField()),
                ('delete_order', models.BooleanField(default=False)),
                ('id_products', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.products')),
            ],
            options={
                'db_table': 'order',
            },
        ),
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('delete_invoice', models.BooleanField(default=False)),
                ('id_client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.client')),
                ('id_table', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.table')),
                ('id_waiter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restaurant.waiter')),
            ],
            options={
                'db_table': 'invoice',
            },
        ),
    ]
